Bug 7622 - GNOME gnome-terminal does not update /var/run/utmp
Summary: GNOME gnome-terminal does not update /var/run/utmp
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-core   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Elliot Lee
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-06 07:06 UTC by roberto
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-01-17 18:47:24 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description roberto 1999-12-06 07:06:43 UTC
The GNOME virtual terminal program (gnome-terminal) does not update entries
in /var/run/utmp. This means that users do not appear in the 'who' and 'w'
commands. Interestingly /usr/sbin/gnome-pty-helper is guid=utmp, but this
doesn't seem to solve the problem.

Comment 1 Elliot Lee 2000-01-17 18:47:59 UTC
To the best of my knowledge, login sessions go into utmp, not shell prompts.
Therefore, utmp support belongs in gdm (where it will eventually go), and not
gnome-terminal.


Note You need to log in before you can comment on or make changes to this bug.